Grand Master Bitz:
The Rogue is the most unique among the three professions. They choose agility over the Warrior's power, and profit over the Knight's honor. They are armed with small daggers and bows and arrows, and can scout enemy camps without making any sound. Their abilities can make a great difference in battle. Rogues can later change to higher-level professions, like the Hawkeye, who specializes in archery, or the Treasure Hunter, whose primary weapon is the dagger.
Ask about changing professions to a Rogue
Return